Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.util
Class FPUriUniqFilter

    java.lang.Object
      org.archive.crawler.util.SetBasedUriUniqFilter
          org.archive.crawler.util.FPUriUniqFilter

All Implemented Interfaces:
  java.io.Serializable, UriUniqFilter

    public class FPUriUniqFilter

extends SetBasedUriUniqFilter
implements java.io.Serializable

UriUniqFilter storing 64-bit UURI fingerprints, using an internal LongFPSet instance. The passed LongFPSet internal instance may be disk or memory based. Accesses to the underlying LongFPSet are synchronized.

Author:
  gojomo
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.archive.crawler.datamodel.UriUniqFilter
`UriUniqFilter.HasUriReceiver`

Field Summary

Fields inherited from class org.archive.crawler.util.SetBasedUriUniqFilter
`duplicateCount, duplicatesAtLastSample, profileLog, receiver`

Constructor Summary
`FPUriUniqFilter(LongFPSet fpset)` Create FPUriUniqFilter wrapping given long set

Method Summary
`protected boolean` | `setAdd(java.lang.CharSequence uri)`
`protected long` | `setCount()`
`protected boolean` | `setRemove(java.lang.CharSequence uri)`

Methods inherited from class org.archive.crawler.util.SetBasedUriUniqFilter
`add, addForce, addNow, close, count, forget, note, pending, profileLog, requestFlush, setDestination, setProfileLog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FPUriUniqFilter

    public FPUriUniqFilter(LongFPSet fpset)

  Create FPUriUniqFilter wrapping given long set

  Parameters:
    `fpset` -

Method Detail

### setAdd

    protected boolean setAdd(java.lang.CharSequence uri)

  Specified by:
    `setAdd` in class `SetBasedUriUniqFilter`

### setCount

    protected long setCount()

  Specified by:
    `setCount` in class `SetBasedUriUniqFilter`

### setRemove

    protected boolean setRemove(java.lang.CharSequence uri)

  Specified by:
    `setRemove` in class `SetBasedUriUniqFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.